NAME(3)

NAME
krb5_getportbyname - get port number by name

LIBRARY
Kerberos 5 Library (libkrb5, -lkrb5)

SYNOPSIS
#include <krb5/krb5.h>
int
krb5_getportbyname(krb5_context context, const char *service, const char *proto, int default_port);

DESCRIPTION
krb5_getportbyname() gets the port number for service / proto pair from the global service table for and returns it in network order. If it isn't found in the global table, the default_port (given in host order) is returned.

EXAMPLE

    int port = krb5_getportbyname(context, "kerberos", "tcp", 88);

SEE ALSO
krb5(3)